Page MenuHomePhabricator

Add archive.wul.waseda.ac.jp to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

It contains many files in public domain. For example, https://archive.wul.waseda.ac.jp/kosho/ro12/ro12_01169/.

Thanks!

Event Timeline

wmr created this task.Aug 22 2020, 5:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2020, 5:22 AM
wmr added a subscriber: Urbanecm.Sep 3 2020, 9:32 AM
wmr added a comment.Sep 20 2020, 10:49 AM

Can anyone add it please?

Kizule claimed this task.Sep 20 2020, 11:50 AM

Hello @wmr, I'm sorry for so much waiting time, but in task next time you should add and Wikimedia-Site-requests "project" tag (when is task about change of configuration like this), so I, @Urbanecm or someone else who works on "configuration changes" can be notified.

I will work on this.

Restricted Application added a project: User-Kizule. · View Herald TranscriptSep 20 2020, 11:50 AM
Kizule moved this task from Inbox to Working on on the User-Kizule board.Sep 20 2020, 11:51 AM
Kizule moved this task from Backlog to Working on on the Wikimedia-Site-requests board.

Change 628555 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Add archive.wul.waseda.ac.jp to the wgCopyUploadDomains

https://gerrit.wikimedia.org/r/628555

I've scheduled deployment of patch for "European mid-day backport window" in Monday (https://wikitech.wikimedia.org/wiki/Deployments#Week_of_September_21).

Kizule moved this task from Working on to To deploy on the User-Kizule board.Sep 20 2020, 1:08 PM

Change 628555 merged by jenkins-bot:
[operations/mediawiki-config@master] Add archive.wul.waseda.ac.jp to the wgCopyUploadDomains

https://gerrit.wikimedia.org/r/628555

Kizule closed this task as Resolved.Sep 21 2020, 11:06 AM

Mentioned in SAL (#wikimedia-operations) [2020-09-21T11:07:41Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 01ba82866f3e04c7c635e9089fed4269190b93f0: Add archive.wul.waseda.ac.jp to the wgCopyUploadDomains (T261037) (duration: 00m 57s)